cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/sort \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true}'view
Put table view sort
Update view sort condition
PUT
/
table
/
{tableId}
/
view
/
{viewId}
/
sort
cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/sort \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true}'Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200
Successfully update.
Last modified on March 5, 2026
Was this page helpful?
⌘I

